000034267 - Installing the RSA Authentication Agent for Windows after the Dell Data Protection software resulted in a “File in Use” Security Innovations warning message.

Document created by RSA Customer Support Employee on Oct 26, 2016Last modified by RSA Customer Support Employee on Apr 14, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000034267
Applies ToRSA Product Set: SecurID
RSA Product/Service Type: Authentication Agent for Microsoft Windows
RSA Version/Condition: 7.3.1
IssueInstalling the Authentication Agent 7.3.1 for Microsoft Windows on top of Dell's Data Protection Suite (DDP) software results in a "File in Use" warning, as in the screenshot below.
From RSA Partner Engineering:

Installing the RSA Auth Agent for Windows after the DDP software resulted in a “File in Use” Security Innovations warning message. Reversing the order of installation resulted in no warning.


RSA Engineering has stated:
 

We can collect installer logs to be sure, but I'd bet money that the Security Innovations application is using an older version of the Microsoft C Runtime. This is not uncommon for C++ applications. The warning appears  during the Agent installation because the application is running.
 

Essentially the DDP is using an older version of the Microsoft C Runtime, RSA prompts the user to upgrade the Microsoft C Runtime library. If the versions were the same or DDP was newer the RSA application would default to the newer version.

 
User-added image
WorkaroundInstalling the LAC agent first should prevent the File in Use warning. 

Attachments

    Outcomes